<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Name: Plan of Care Section
Description: The Plan of Care section contains data that defines pending orders, interventions, encounters, services, and procedures for the patient. It is limited to prospective, unfulfilled, or incomplete orders and requests only, which are indicated by the @moodCode of the entries within this section. All active, incomplete, or pending orders, appointments, referrals,
                procedures, services, or any other pending event of clinical significance to the current care of the patient should be listed unless constrained due to privacy issues. The plan may also contain information about ongoing care of the patient and information regarding goals and clinical reminders. Clinical reminders are placed here to provide prompts for disease prevention and
                management, patient safety, and health-care quality improvements, including widely accepted performance measures. The plan may also indicate that patient education will be provided.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129">
   <title>Plan of Care Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section
Item: (PlanofCareSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section"
         id="tmp-r-30574881-4768-4870-9e27-80487082f926">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(PlanofCareSection): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:templateId)&lt;=1">(PlanofCareSection): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(PlanofCareSection): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:templateId)&lt;=1">(PlanofCareSection): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:code)&gt;=1 and not(cda:code/@nullFlavor)">(PlanofCareSection): element cda:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:code)&lt;=1">(PlanofCareSection): element cda:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:title)&gt;=1 and not(cda:title/@nullFlavor)">(PlanofCareSection): element cda:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:title)&lt;=1">(PlanofCareSection): element cda:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:text)&gt;=1 and not(cda:text/@nullFlavor)">(PlanofCareSection): element cda:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="count(cda:text)&lt;=1">(PlanofCareSection): element cda:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:templateId
Item: (PlanofCareSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:templateId"
         id="tmp-r-6ba0d52d-f7cf-4063-a99f-c87accedaa82">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.2.10'">conf-10435: The value for @root SHALL be '2.16.840.1.113883.10.20.22.2.10'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:templateId
Item: (PlanofCareSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:templateId"
         id="tmp-r-3d02066e-9a25-4a77-a6f9-ef0360d5931d">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.61.8.10.3.2'">(PlanofCareSection): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.61.8.10.3.2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:code
Item: (PlanofCareSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:code"
         id="tmp-r-0dde3212-d73e-4ca3-8be8-24a06fdb5d1b">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.2-2014-02-04T131129.html"
              test="@nullFlavor or (@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1')">(PlanofCareSection): The element value SHALL be code '18776-5' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:title
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:text
Item: (PlanofCareSection)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e441
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e441
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e446
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e446
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e451
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e451
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e456
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e456
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e461
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e461
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e466
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e466
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e472
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section
Item: (PlanofCareSection)
-->

   <!--
Template derived rules for ID: ehdi-d90e472
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.2']]/cda:section/cda:entry
Item: (PlanofCareSection)
--></pattern>
