<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Name: Results Section (entries required)
Description: The Results section contains the results of observations generated by laboratories, imaging procedures, and other procedures. The scope includes observations such as hematology, chemistry, serology, virology, toxicology, microbiology, plain x-ray, ultrasound, CT, MRI, angiography, echocardiography, nuclear medicine, pathology, and procedure observations. The
                section often includes notable results such as abnormal values or relevant trends, and could contain all results for the period of time being documented. Laboratory results are typically generated by laboratories providing analytic services in areas such as chemistry, hematology, serology, histology, cytology, anatomic pathology, microbiology, and/or virology. These observations
                are based on analysis of specimens obtained from the patient and submitted to the laboratory. Imaging results are typically generated by a clinician reviewing the output of an imaging procedure, such as where a cardiologist r
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206">
   <title>Results Section (entries required)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]
Item: (ResultsSectionentriesrequired)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section
Item: (ResultsSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section"
         id="tmp-r-ad306a81-e27d-45f0-9ce0-9b60c83cf5d6">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(ResultsSectionentriesrequired): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:templateId)&lt;=1">(ResultsSectionentriesrequired): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(ResultsSectionentriesrequired): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:templateId)&lt;=1">(ResultsSectionentriesrequired): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:code)&gt;=1 and not(cda:code/@nullFlavor)">(ResultsSectionentriesrequired): element cda:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:code)&lt;=1">(ResultsSectionentriesrequired): element cda:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:title)&gt;=1 and not(cda:title/@nullFlavor)">(ResultsSectionentriesrequired): element cda:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:title)&lt;=1">(ResultsSectionentriesrequired): element cda:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:text)&gt;=1 and not(cda:text/@nullFlavor)">(ResultsSectionentriesrequired): element cda:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:text)&lt;=1">(ResultsSectionentriesrequired): element cda:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="count(cda:entry)&gt;=1 and not(cda:entry/@nullFlavor)">(ResultsSectionentriesrequired): element cda:entry is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:templateId
Item: (ResultsSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:templateId"
         id="tmp-r-1e4a3326-2278-4f27-9a92-823a17c493d0">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.2.3.1'">conf-9137: The value for @root SHALL be '2.16.840.1.113883.10.20.22.2.3.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:templateId
Item: (ResultsSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:templateId"
         id="tmp-r-71a84253-6518-4e10-a5b9-729264ebd046">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.61.8.10.3.3'">(ResultsSectionentriesrequired): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.61.8.10.3.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:code
Item: (ResultsSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:code"
         id="tmp-r-da1105b7-ae74-48e7-8d01-9e298742e4ac">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.3-2014-02-04T131206.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')">(ResultsSectionentriesrequired): The element value SHALL be code '30954-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:title
Item: (ResultsSectionentriesrequired)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:text
Item: (ResultsSectionentriesrequired)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.3
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:entry
Item: (ResultsSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e525
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section
Item: (ResultsSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e525
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.3']]/cda:section/cda:entry
Item: (ResultsSectionentriesrequired)
--></pattern>
