<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Name: Procedures Section (entries required)
Description: This section defines all interventional, surgical, diagnostic, or therapeutic procedures or treatments pertinent to the patient historically at the time the document is generated. The section may contain all procedures for the period of time being summarized, but should include notable procedures. The common notion of ""procedure"" is broader than that specified
                by the HL7 Version 3 Reference Information Model (RIM). Therefore this section contains procedure templates represented with three RIM classes: Act. Observation, and Procedure. Procedure act is for procedures the alter that physical condition of a patient (Splenectomy). Observation act is for procedures that result in new information about a patient but do not cause physical
                alteration (EEG). Act is for all other types of procedures (dressing change).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302">
   <title>Procedures Section (entries required)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section
Item: (ProceduresSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section"
         id="tmp-r-1b1aa76d-a9b3-447b-b63e-95c7c0f9b819">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(ProceduresSectionentriesrequired): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:templateId)&lt;=1">(ProceduresSectionentriesrequired): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:templateId)&gt;=1 and not(cda:templateId/@nullFlavor)">(ProceduresSectionentriesrequired): element cda:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:templateId)&lt;=1">(ProceduresSectionentriesrequired): element cda:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:code)&gt;=1 and not(cda:code/@nullFlavor)">(ProceduresSectionentriesrequired): element cda:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:code)&lt;=1">(ProceduresSectionentriesrequired): element cda:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:title)&gt;=1 and not(cda:title/@nullFlavor)">(ProceduresSectionentriesrequired): element cda:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:title)&lt;=1">(ProceduresSectionentriesrequired): element cda:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:text)&gt;=1 and not(cda:text/@nullFlavor)">(ProceduresSectionentriesrequired): element cda:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="count(cda:text)&lt;=1">(ProceduresSectionentriesrequired): element cda:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:templateId
Item: (ProceduresSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:templateId"
         id="tmp-r-bae02cd7-8bce-46d6-91a4-1453c8c14087">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.2.7.1'">conf-10447: The value for @root SHALL be '2.16.840.1.113883.10.20.22.2.7.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:templateId
Item: (ProceduresSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:templateId"
         id="tmp-r-c780260d-bb42-4538-bf17-26317ec486a2">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.61.8.10.3.4'">(ProceduresSectionentriesrequired): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.61.8.10.3.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:code
Item: (ProceduresSectionentriesrequired)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:code"
         id="tmp-r-c8070474-088f-4360-87b0-8ceeb4077865">
      <assert role="error"
              see="http://ehdi.art-decor.org/ehdi-html-20140204T145608/tmp-2.16.840.1.113883.3.1937.99.61.8.10.3.4-2014-02-04T131302.html"
              test="@nullFlavor or (@code='47519-4' and @codeSystem='2.16.840.1.113883.6.1')">(ProceduresSectionentriesrequired): The element value SHALL be code '47519-4' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:title
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:text
Item: (ProceduresSectionentriesrequired)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:entry
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e578
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e578
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:entry
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:entry
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e583
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e583
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:entry
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.8.10.3.4
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:entry
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e588
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section
Item: (ProceduresSectionentriesrequired)
-->

   <!--
Template derived rules for ID: ehdi-d90e588
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.8.10.3.4']]/cda:section/cda:entry
Item: (ProceduresSectionentriesrequired)
--></pattern>
